FairStars Audio Converter History
Written by FairStars Soft(support@fairstars.com    http://www.fairstars.com)



Version 2.20 (Feb.12, 2019)
*************************************************************************
. Correct an error for MP3 Encoder.
. Correct a resample error.
. Other mini changes.


Version 2.10 (Apr.09, 2015)
*************************************************************************
. Correct some errors for WMA codecs.


Version 2.00 (Jul.23, 2014)
*************************************************************************
. Correct some errors for MP3 codecs.
. Correct an error for Tag Editor.
. Correct an exception error for some mp3 file.
. Correct an error for radio and checkbox button.
. Improve the usability for seek bar.


Version 1.97 (Sep.28, 2013)
*************************************************************************
. Correct an exception error for some mp3 file
. Improve the usability for Folder option.


Version 1.96 (Apr.14, 2012)
*************************************************************************
Bug Fixed:
. Correct an error that some wav format file could not be decoded.


Version 1.95 (May.06, 2011)
*************************************************************************
New Features:
. Update APE codecs.
. Add registration info import function.


Version 1.94 (Mar.23, 2011)
*************************************************************************
New Features:
. Improve volume normalization effect.


Version 1.93 (Jan.12, 2011)
*************************************************************************
. Correct an error for the detection of RealMedia Codec.


Version 1.92 (Nov.01, 2010)
*************************************************************************
. Update support link and help file.


Version 1.91 (Aug.25, 2010)
*************************************************************************
. Correct an error that the tag of m4a is unrecognizable.
. Improve the compatibility with apple player for mp3 format.


Version 1.90 (Jul.01, 2010)
*************************************************************************
New Features:
. Add m4a-lossless format input support.


Version 1.89 (May.11, 2010)
*************************************************************************
Bug Fixed:
. Conversion failed for 11KHz files when wma encoder was set as auto mode.
. Bad audio quality when adjust volume for 8bit audio.


Version 1.88 (Apr.20, 2010)
*************************************************************************
New Features:
. Improve volume normalization effect.
Bug Fixed:
. No audio data was created when normalize for FLAC file.
. Bad audio quality when adjust volume for some audio file.


Version 1.87 (Feb.04, 2010)
*************************************************************************
. Improve resampling ability.
. Correct an error for MP3 Encoder when output file could not be opened.
. Correct an error for some invalid audio file.


Version 1.86 (Dec.12, 2009)
*************************************************************************
. Correct an error for mp3 decoder.


Version 1.85 (Nov.12, 2009)
*************************************************************************
. Improve resampling effect.


Version 1.84 (Oct.28, 2009)
*************************************************************************
. Improve the efficiency for mp3 encoder.
. Add config reset function.
. Correct an error for mp3 decoder.
. Correct an error that unicode characters could not be saved in config file.


Version 1.83 (Sep.28, 2009)
*************************************************************************
. Correct an error for MP4 decoder.
. Improve the speed for option and tag window.


Version 1.82 (Aug.25, 2009)
*************************************************************************
. Add unicode-tag option for MP3 and AAC format in Tag Editor.
. Update MP3 encoder.


Version 1.81 (Apr.18, 2009)
*************************************************************************
. Correct the error for decoding flac-8bit.
. Correct the error for encoding wma.
. Correct a crash error caused by bps is not verified.
. Correct the error that aac/m4a decoding error.


Version 1.80 (Mar.14, 2009)
*************************************************************************
. Correct an error of the bitrate for WMA encoder.
. Improve the ablitity of processing exist item in list.
. Add feedback-support link.


Version 1.79 (Jan.22, 2009)
*************************************************************************
. Correct a WMA option error.
. Correct an error that Joint-Stereo flag of MP3 encoder is invalid.


Version 1.78 (Jan.03, 2009)
*************************************************************************
. Correct a buffer error for playing audio files.
. Correct some mini errors.


Version 1.77 (Nov.17, 2008)
*************************************************************************
. Correct a crash error caused by flac decoder.
. Correct an error of normalization.
. Correct an error of reampling form wma.


Version 1.76 (Nov.12, 2008)
*************************************************************************
. Correct an error for seeking some files.
. Update WMA/MP3/APE/FLAC/AAC codecs.


Version 1.75 (Oct.16, 2008)
*************************************************************************
. Update wav codecs.
. Correct several minor errors.


Version 1.74 (Sep.24, 2008)
*************************************************************************
. Correct some error for WMA codecs.
. Correct an error for editing WMA tag.
. Improve the compatibility with QuickTime AAC.


Version 1.73 (Sep.10, 2008)
*************************************************************************
. Add ABR support for AAC/M4A encoder
. Add ID3 Tag Unicode mode option for MP3 encoder.
. Add auto un-mark feature support.
. Correct several errors for AAC-M4A encoder.


Version 1.72 (Aug.26, 2008)
*************************************************************************
. Add M4A(MP4 Audio) format output support.


Version 1.71 (Aug.13, 2008)
*************************************************************************
. Correct an error for playing MP4/AAC files.
. Correct some errors for decoding some MP4/M4A/M4B file.


Version 1.70 (Jul.30, 2008)
*************************************************************************
. Changes resampling mode option.
. Correct a crash error caused by OGG encoder.
. Correct a bitrate error for OGG Encoder with low bitrate settings.
. Adjusts OGG encoder option page.
. Add tick marks feature to TrackBar control.


Version 1.69 (Jul.15, 2008)
*************************************************************************
. Add high speed mode for resampling.
. Adjusts the option window layout.
. Update the help file.


Version 1.68 (Jul.01, 2008)
*************************************************************************
. Correct the errors for reading tag of mp3 files.
. Correct the copyright flag error for encoding mp3 files.


Version 1.67 (Jun.19, 2008)
*************************************************************************
. Correct the error that mp3 tag cannot be saved.
. Add MP4/AAC support for Tag Editor


Version 1.66 (Jun.06, 2008)
*************************************************************************
. Add AWB(AMR Wideband) format output support.


Version 1.65 (05.21, 2008)
*************************************************************************
. Add AMR Narrowband support and AMR Wideband(AWB) input support.
. Correct the output type error for context Menu.
. Correct an error for AAC output.
. Correct the file type error for Explorer-like file input dialog.


Version 1.62 (05.12.2008)
*************************************************************************
. Correct an error for bitrate settings of MP3 option.
. Correct an error for wma encoder under Vista.


Version 1.61 (05.08.2008)
*************************************************************************
 . Improve the ability of volume normalization.
 . Improve the ability of resampling.
 . Correct an interface error for tag editor.


Version 1.60 (05.01.2008)
*************************************************************************
New Features:
 . MP4/M4A/M4B/AAC input support, and AAC output support.
 . Unicode support.
 . WMA10 and WMA11 support.
 . Support Vista.
 . 24/32 bit input support.
Bug Fixed:
 . Correct some errors for tag editor.
 . Correct a skin error for Option dialog.


Version 1.55 (07.15.2006)
*************************************************************************
New Features:
 . None
Bug Fixed:
 . Correct a fatal decoding error for some type of WAV format.
 . Correct an error of bitrate option for WMA format.
Other Changes:
 .None.


Version 1.54 (03.29.2006)
*************************************************************************
New Features:
 .Add RAM format input support.
 .Add "Ctrl + A" function for selecting files.
Bug Fixed:
 .Correct an error of reading tag from APE format files.
 .Correct an error of user interface.
Other Changes:
 .Update FLAC Codecs.

Version 1.53 (08.02.2005)
*************************************************************************
New Features:
 .None.
Bug Fixed:
 .Correct a CBR error for MP3 format.
 .Correct an error of order for adding files.
Other Changes:
 .Update FLAC Codecs.


Version 1.52 (03.22.2005)
*************************************************************************
New Features:
 .Add auto shutdown pc function after conversion progress finished.
Bug Fixed:
 .Correct a minor error for AIFF format.
Other Changes:
 .None.


Version 1.51 (02.24.2005)
*************************************************************************
New Features:
 .None.
Bug Fixed:
 .Correct a memory usage error for RealMedia(RM, RA, RMVB and RMJ) format.
 .Correct a random error of conversion progress.
Other Changes:
 .None.


Version 1.50 (01.22.2005)
*************************************************************************
New Features:
 .Add RMVB format input support.
Bug Fixed:
 .Correct some errors for FLAC format.
Other Changes:
 .Update FLAC Codecs.


Version 1.49 (12.30.2004)
*************************************************************************
New Features:
 .Correct a random error of adding files.
 .Correct an error of selecting folder.
Bug Fixed:
 .None.
Other Changes:
 .None.


Version 1.48 (12.24.2004)
*************************************************************************
New Features:
 .Improve WMA Codecs features.
 .Add Windows98a support.
Bug Fixed:
 .None.
Other Changes:
 .None.


Version 1.47 (12.06.2004)
*************************************************************************
New Features:
 .Add the tag support for RealMedia format.
 .Improve some features for context menu.
Bug Fixed:
 .Correct some error for system menu.
Other Changes:
 .None.



Version 1.46 (11.09.2004)
*************************************************************************
New Features:
 .None
Bug Fixed:
 .Correct normalization error for APE format.
Other Changes:
 .None.



Version 1.45 (10.18.2004)
*************************************************************************
New Features:
 .None
Bug Fixed:
 .Correct the input error when the length of input file is less than 1 second.
 .Correct a background error of status bar.
Other Changes:
 .None.



Version 1.44 (09.21.2004)
*************************************************************************
New Features:
 .New skin for file input dialog.
Bug Fixed:
 .Correct the Adding file error when hide known extended name.
 .Correct RM decode volume error.
Other Changes:
 .None.



Version 1.43 (09.15.2004)
*************************************************************************
New Features:
 .Add the up one level function support in Explorer-like file input dialog.
Bug Fixed:
 .Correct the Adding file error when select a empty folder.
 .Correct directory reading error with some type of folders.
Other Changes:
 .None.


Version 1.42 (09.03.2004)
*************************************************************************
New Features:
 .Add a Explorer-like file input dialog.
 .Add folder input support for Drag and Drop function.
Bug Fixed:
 .Correct the MP3 Decoder error caused by the conflict with RM Decoder.
Other Changes:
 .None.



Version 1.41 (08.20.2004)
*************************************************************************
New Features:
 .Add RMJ and PVF formats input support.
 .Add tooltip support for File List.
Bug Fixed:
 .Correct some skin errors and some random error.
Other Changes:
 .None.


Version 1.40 (07.09.2004)
*************************************************************************
New Features:
 .None.
Bug Fixed:
 .Correct VQF Decoder error with some bitrate.
Other Changes:
 .Update VQF Codecs.



Version 1.39 (06.29.2004)
*************************************************************************
New Features:
 .Add RealMedia(RM, RA, RAM) format input support.
Bug Fixed:
 .None.
Other Changes:
 .None.


Version 1.38 (06.16.2004)
*************************************************************************
New Features:
 .None.
Bug Fixed:
 .Fix WMA Encoder error under WindowsXP sometimes.
Other Changes:
 .None.


Version 1.37 (06.08.2004)
*************************************************************************
New Features:
 .Add FLAC Tag update support.
Bug Fixed:
 .Fix APE seek error under WindowsXP sometimes.
Other Changes:
 .None.


Version 1.36 (05.21.2004)
*************************************************************************
New Features:
 .Add FLAC lossless audio format input and output support.
Bug Fixed:
 .None.
Other Changes:
 .None.


Version 1.35 (05.05.2004)
*************************************************************************
Bug Fixed:
 .Correct some skin errors.
Other Changes:
 .Update APE codecs and changes some menu items.


Version 1.34 (04.29.2004)
*************************************************************************
New Features:
 .Add Commodore Amiga IFF/SVX format input support.
Other Changes:
 .Changes some additional MP3 Encoder options.


Version 1.33 (04.15.2004)
*************************************************************************
Bug Fixed:
 .Correct an exception error with some APE files.


Version 1.32 (04.06.2004)
*************************************************************************
New Features:
 .Add automatic deleting original files after conversion option.


Version 1.31 (03.26.2004)
*************************************************************************
Bug Fixed:
 .Correct an exception error with APE format.


Version 1.30 (03.13.2004)
*************************************************************************
Bug Fixed:
 .Correct some random errors when doing batch conversion.


Version 1.29 (03.04.2004)
*************************************************************************
Bug Fixed:
 .Correct automatic marking item error and bitrate error of mp3 codecs with some option.


Version 1.28 (02.24.2004)
*************************************************************************
Bug Fixed:
 .Remove noise when convert audio files to ape format files with enable automatic saving tag option sometimes.


Version 1.27 (02.17.2004)
*************************************************************************
New Features:
 .Add automatic marking items option.
Bug Fixed:
 .Fix some random errors with AIFF, AU and VOC formats.

Version 1.26 (02.07.2004)
*************************************************************************
New Features:
 .Support VOC format input.
Bug Fixed:
 .Fix MP3 Tag writing error with some option.


Version 1.25 (01.27.2004)
*************************************************************************
New Features:
 .Support AIFF and AU format input.
Bug Fixed:
 .Fix MP3 encoder file length error when encode with some option.
 .Fix MP3 decoder loss last pack datan error sometimes.


Version 1.22 (01.17.2004)
*************************************************************************
Bug Fixed:
 .Fix auto bitrate settings error of MP3 encoder.


Version 1.21 (01.10.2004)
*************************************************************************
New Features:
 .Add a automatic option to OGG Encoder option.
Bug Fixed:
 .Fix OGG encoder error when CBR on some bitrate.
 .Fix OGG encoder loss last pack datan error.
 .Fix WMA decoder loss last pack datan error.


Version 1.20 (12.30.2003)
*************************************************************************
New Features:
 .Support Drag and Drop:supports dragging and dropping files from the File Explorer into the window of FairStars Audio Converter. 
 .Support VQF format input and output.
Bug Fixed:
 .Fix memory leak when WAV compressed format converting.


Version 1.15 (12.20.2003)
*************************************************************************
New Features:
 .Add Folder(Input and Output Folder) option settings.
 .Support WAV compressed format(as IMA ADPCM etc.).
Bug Fixed:
 .Fix mp3 encode CBR method can't be selected error.



Version 1.11 (12.11.2003)
*************************************************************************
New Features:
 .More efficiency mp3 encoder and option settings.
Bug Fixed:
 .Fix mp3 encode duration errors at some sampling frequency.
 .Fix wav to other formats converting tag content error.
 .Fix mp3 encoder loss last pack datan error.


Version 1.10 (12.04.2003)
*************************************************************************
New Features:
 .More efficiency converter machine. 
Bug Fixed:
 .Fix resample error in some sampling frequency.
 .Fix program background incorrect when program is at inactive.
 .Fix APE Compress Level error.
 .Fix MP3 Encode Option BitRate error.


Version 1.03 (11.26.2003)
*************************************************************************
New Features:
 .Add an error message prompt when add files occurs errors.
 .Add a windows media format runtime setup status detector to installition pack.
Bug Fixed:
 .Fix unregistration display error in system menu.


Version 1.02 (11.09.2003)
*************************************************************************
Bug Fixed:
 .Fix the bug that playback seek position errors in windows98SE.
 .Fix convert percent not change when input file type is wma.
 .Fix Convert start display "finished" sometimes.


Version 1.01 (11.06.2003)
*************************************************************************
Initial release